import { setupVab } from '~/library'
import App from './App.vue'
import { setupI18n } from '/@/i18n'
import { setupRouter } from '/@/router'
import { setupStore } from '/@/store'

// 全局方法
import { addDateRange, resetForm } from '/@/utils/index'
// svg图标
import elementIcons from '/@/icon/elementIcon'

const app = createApp(App)

// 全局方法挂载
app.config.globalProperties.resetForm = resetForm
app.config.globalProperties.addDateRange = addDateRange

setupVab(app)
setupI18n(app)
setupStore(app)
setupRouter(app)
app.use(elementIcons)

app.mount('#app')
